<?php

namespace Liberty\Service\Cotizador\ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Cotizador ServiceType
 * @subpackage Services
 */
class Cotizador extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named cotizador
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Liberty\Service\Cotizador\StructType\Cotizador $parameters
     * @return \Liberty\Service\Cotizador\StructType\CotizadorResponse|bool
     */
    public function cotizador(\Liberty\Service\Cotizador\StructType\Cotizador $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->cotizador($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \Liberty\Service\Cotizador\StructType\CotizadorResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
